# ApplicationFramework
FWOSPlugin
FWOSDriver

# FWOSDriver_Driver Class Reference

`#include <FWOSDriver_Driver.hxx>`

Inheritance diagram for FWOSDriver_Driver:

[legend]

## Public Member Functions

Standard_EXPORT | FWOSDriver_Driver ()
| initializes the MetaDatadriver with its specific name.
Standard_EXPORT Standard_Boolean | Find (const TCollection_ExtendedString &aFolder, const TCollection_ExtendedString &aName, const TCollection_ExtendedString &aVersion)
| indicate whether a file exists corresponding to the folder and the name
Standard_EXPORT Standard_Boolean | HasReadPermission (const TCollection_ExtendedString &aFolder, const TCollection_ExtendedString &aName, const TCollection_ExtendedString &aVersion)
Standard_EXPORT Standard_Boolean | FindFolder (const TCollection_ExtendedString &aFolder)
Standard_EXPORT TCollection_ExtendedString | DefaultFolder ()
Standard_EXPORT TCollection_ExtendedString | BuildFileName (const Handle(CDM_Document)&aDocument)
virtual Standard_EXPORT TCollection_ExtendedString | SetName (const Handle(CDM_Document)&aDocument, const TCollection_ExtendedString &aName)
| this methods is usefull if the name of an object -- depends on the metadatadriver. For example a Driver -- based on the operating system can choose to add the extension of file to create to the object.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT Handle_CDM_MetaData | MetaData (const TCollection_ExtendedString &aFolder, const TCollection_ExtendedString &aName, const TCollection_ExtendedString &aVersion)
| should return the MetaData stored in the DBMS with the meta-data corresponding to the Data. If the MetaDataDriver has version management capabilities the version has to be set in the returned MetaData. aVersion may be NULL MetaData is called by GetMetaData If the version is set to NULL, MetaData should return the last version of the metadata
Standard_EXPORT Handle_CDM_MetaData | CreateMetaData (const Handle(CDM_Document)&aDocument, const TCollection_ExtendedString &aFileName)
| should create meta-data corresponding to aData and maintaining a meta-link between these meta-data and aFileName CreateMetaData is called by CreateData //! If the metadata-driver has version capabilities, version must be set in the returned Data.
Standard_EXPORT Handle_CDM_MetaData | BuildMetaData (const TCollection_ExtendedString &aFileName)

## Static Private Member Functions

static Standard_EXPORT TCollection_ExtendedString | Concatenate (const TCollection_ExtendedString &aFolder, const TCollection_ExtendedString &aName)

## Constructor & Destructor Documentation

Standard_EXPORT FWOSDriver_Driver::FWOSDriver_Driver | ( |  | ) |

## Member Function Documentation

Standard_EXPORT TCollection_ExtendedString FWOSDriver_Driver::BuildFileName | ( | const Handle(CDM_Document)& | aDocument | ) | `[virtual]`

| Implements CDF_MetaDataDriver.

Standard_EXPORT Handle_CDM_MetaData FWOSDriver_Driver::BuildMetaData | ( | const TCollection_ExtendedString & | aFileName | ) | `[private]`

static Standard_EXPORT TCollection_ExtendedString FWOSDriver_Driver::Concatenate | ( | const TCollection_ExtendedString & | aFolder,
|  | const TCollection_ExtendedString & | aName
| ) | `[static, private]`

Standard_EXPORT Handle_CDM_MetaData FWOSDriver_Driver::CreateMetaData | ( | const Handle(CDM_Document)& | aDocument,
|  | const TCollection_ExtendedString & | aFileName
| ) | `[private, virtual]`

| Implements CDF_MetaDataDriver.

Standard_EXPORT TCollection_ExtendedString FWOSDriver_Driver::DefaultFolder | ( |  | ) | `[virtual]`

| Implements CDF_MetaDataDriver.

Standard_EXPORT Standard_Boolean FWOSDriver_Driver::Find | ( | const TCollection_ExtendedString & | aFolder,
|  | const TCollection_ExtendedString & | aName,
|  | const TCollection_ExtendedString & | aVersion
| ) | `[virtual]`

| Implements CDF_MetaDataDriver.

Standard_EXPORT Standard_Boolean FWOSDriver_Driver::FindFolder | ( | const TCollection_ExtendedString & | aFolder | ) | `[virtual]`

| Implements CDF_MetaDataDriver.

Standard_EXPORT const FWOSDriver_Driver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from CDF_MetaDataDriver.

Standard_EXPORT Standard_Boolean FWOSDriver_Driver::HasReadPermission | ( | const TCollection_ExtendedString & | aFolder,
|  | const TCollection_ExtendedString & | aName,
|  | const TCollection_ExtendedString & | aVersion
| ) | `[virtual]`

| Implements CDF_MetaDataDriver.

Standard_EXPORT Handle_CDM_MetaData FWOSDriver_Driver::MetaData | ( | const TCollection_ExtendedString & | aFolder,
|  | const TCollection_ExtendedString & | aName,
|  | const TCollection_ExtendedString & | aVersion
| ) | `[private, virtual]`

| Implements CDF_MetaDataDriver.

virtual Standard_EXPORT TCollection_ExtendedString FWOSDriver_Driver::SetName | ( | const Handle(CDM_Document)& | aDocument,
|  | const TCollection_ExtendedString & | aName
| ) | `[virtual]`

| Reimplemented from CDF_MetaDataDriver.

The documentation for this class was generated from the following file:

- FWOSDriver_Driver.hxx